Bug 8877 - Syslog broken owing to mistyping of debug_settings.syslog
Syslog broken owing to mistyping of debug_settings.syslog
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: libsmbclient
3.6.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 01:54 UTC by Joseph Tam
Modified: 2012-05-07 16:39 UTC (History)
1 user (show)

See Also:


Attachments
Syslog fix: correct typing of debug_settings.syslog field (209 bytes, patch)
2012-04-19 01:54 UTC, Joseph Tam
no flags Details
git-am fix for 3.6.x. (1.21 KB, patch)
2012-04-20 17:05 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Tam 2012-04-19 01:54:30 UTC
Created attachment 7466 [details]
Syslog fix: correct typing of debug_settings.syslog field

Setting "syslog only = yes" did not divert log messages to syslog.  The test in lib/util/debug.c:Debug1():747

   if( syslog_level < state.settings.syslog )

produces wrong results since .syslog is typed "bool" rather than "int".
The attached patch fixes this by typing this field correctly as "int".
Comment 1 Jeremy Allison 2012-04-19 18:47:08 UTC
Completely correct. I've pushed to master and will update with a git-am patch for 3.6.x.

Thanks !

Jeremy.
Comment 2 Jeremy Allison 2012-04-20 17:05:23 UTC
Created attachment 7470 [details]
git-am fix for 3.6.x.

Obvious fix - already went into master. Volker please review for 3.6.next.
Thanks !
Jeremy.
Comment 3 Jeremy Allison 2012-04-25 04:25:11 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 4 Karolin Seeger 2012-05-07 16:39:00 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!